## uwsgi 2.0.14+20161117

=== Makefile ===
PYTHON := python

all:
	$(PYTHON) uwsgiconfig.py --build $(PROFILE)

clean:
	$(PYTHON) uwsgiconfig.py --clean

check:
	$(PYTHON) uwsgiconfig.py --check

plugin.%:
	$(PYTHON) uwsgiconfig.py --plugin plugins/$* $(PROFILE)

%:
	$(PYTHON) uwsgiconfig.py --build $@

=== debian/changelog ===
uwsgi (2.0.14+20161117-3+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * enforce php default document_root behaviour, to not show external files
    (CVE-2018-7490) (Closes: #891639)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Mar 2018 09:05:43 +0100

uwsgi (2.0.14+20161117-3+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Stack-based buffer overflow in uwsgi_expand_path function (CVE-2018-6758)
    (Closes: #889753)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Feb 2018 22:31:14 +0100

uwsgi (2.0.14+20161117-3) unstable; urgency=medium

  * Add patch 1007 to fix build router_basicauth for GNU/kFreeBSD.
  * Fix refer to OpenJDK 8 (not 7) in short and long descriptions.
    Closes: Bug#845998. Thanks to Daniele Forsi.
  * Fix link plugins against non-default Lua.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Dec 2016 17:01:16 +0100

uwsgi (2.0.14+20161117-2) unstable; urgency=medium

  * Add patch cherry-picked upstream to fix build with OpenSSL 1.0.
  * Add patch 1006 to fix avoid informational-only Postgres flags.
    Closes: Bug#847207. Thanks to Raphael Hertzog and Christoph Berg.
  * Update supported archs for MongoDB plugin: Add mips mipsel.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 Dec 2016 22:01:52 +0100

uwsgi (2.0.14+20161117-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Revert OpenSSL 1.1 workaround: libapache-dev now libssl-agnostic.
    Closes: Bug#828590. Thanks to Kurt Roeckx and Apache2 maintainers.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Nov 2016 00:16:41 +0100

uwsgi (2.0.14+20161106-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump to version 4.
    + Add repacksuffix option.
    + Mention gbp in usage hint comment.
  * Fix have uwsgi-plugin-python3 provide virtual package httpd-uwsgi
    (not bogus httpd-uwsgi3).
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .git* file.
  * Extract metadata from PNG files for copyright check.
    Tighten build-dependency on cdbs.
    Build-depend on libregexp-assemble-perl libimage-exiftool-perl
    libfont-ttf-perl.
  * Build-depend on licensecheck (not devscripts).
  * Build-depend on libmongoclient-dev (only fallback on now
    transitional mongodb-dev).
    Closes: bug#833055. Thanks to Andreas Beckmann, Raphael Hertzog,
    Apollon Oikonomopoulos and Giulio Paci.
  * Have CDBS track Github source.
    Document how to get upstream snapshots in README.source.
  * Update copyright info:
    + Extend coverage for main author to include current year.
  * Update patches:
    + Drop patches cherry-picked upstream.
    + Drop patch 1011 adopted upstream.
    + Unfuzz patches 1001 1002.
  * Use cdbs_expand_pythonruntime and cdbs_python2_defaultruntime (not
    deprecated cdbs_curpythonindepbinary or cdbs_python_binary).
    Tighten build-depdendency on cdbs.
    Closes: Bug#828785. Thanks to Santiago Vila.
  * Update supported archs for Mono/ASP.NET plugin: Add powerpc.
  * Update supported archs for MongoDB plugin:
    + Drop hurd-i386.
    + Add arm64 mips64el powerpc ppc64el s390x.
  * Fix unregister apache modules when removed (not only when purged).
    + Use dh-apache2.
      Build-depend explicitly on virtual dh-apache2 (as hinted by
      lintian).
      Suppress bogus lintian warnings (See bug#796285).
    Closes: Bug#839666. Thanks to Neil Williams.
  * Add patch 1005 to avoid deprecated std::auto_ptr.
  * Mark uwsgi-srch as Multi-Arch: foreign.
    Thanks to the Multi-Arch hinter.
  * Fix typo in README.Debian. Thanks to lintian.
  * Work around OpenSSL 1.0/1.1 build-dependency clash:
    + Disable SSL support in core.
    + Skip plugins php logcrypto router_radius sslrouter.
    + Drop binary package uwsgi-plugin-php.
    + Stop build-depend on libssl-dev php-dev libphp-embed.
    + Build-depend on libcurl4-gnutls-dev (not libcurl4-openssl-dev).
    See bug#828590.
  * Fix avoid "local" in uwsgi-core POSIX shell init.d script.
  * Use POSIX-style ANDed tests in uwsgi bash init.d scripts.
  * Suppress shellcheck concerns about source expansions and backslash
    expansion when read'ing.
  * Suppress bogus lintian override about requirement for versioned
    dependency on lsb-base: Needed version satisfied everywhere
    supported by Debian.
  * Fix avoid including binary files in uwsgi-src package.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Nov 2016 23:45:42 +0100

uwsgi (2.0.12-7) unstable; urgency=medium

  * (Build-)depend on php (and only php5 as fallback).
    Closes: Bug#821721, #821666. Thanks to Ondřej Surý.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2016 11:18:40 +0200

uwsgi (2.0.12-6) unstable; urgency=medium

  * Re-add patch cherry-picked upstream to fix apache 2.4 integration
    with unix domain sockets (accidentally dropped in 2.0.12-1).
    Closes: bug#752783. Thanks to Alexandre Rossi.
  * Add patch cherry-picked from FreeBSD to fix failure to compile
    against apache 2.4.20.
    Closes: bug#822921. Thanks to Vincent Cheng.
  * Really fix avoid fail counting alternatives.
    Closes: Bug#818116. Thanks to Maik Zumstrull.
  * Update supported archs for Mono/ASP.NET plugin: Add arm64.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Apr 2016 04:35:10 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Leonid Borisenko <leo.borisenko@gmail.com>
# Copyright © 2012-2013 Janos Guljas <janos@debian.org>
# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for uWSGI
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/buildvars.mk

# exclude broken plugins
# (pkglist tweaking must be done before including most CDBS snippets)
pkg_broken :=
DEB_ARCH_PACKAGES := $(filter-out $(pkg_broken),$(DEB_ARCH_PACKAGES))
DEB_INDEP_PACKAGES := $(filter-out $(pkg_broken),$(DEB_INDEP_PACKAGES))

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# TODO: Use only java-common (not java-helper) when bug#814783 is fixed in stable)
-include /usr/share/javahelper/java-vars.mk
-include /usr/share/java/java_defaults.mk

# recent cdbs needed for flavor-specifics like cdbs_python2_defaultruntime
CDBS_BUILD_DEPENDS +=, cdbs (>= 0.4.145)

# resolve supported architectures for arch-varying build-dependencies
# (in maintainer mode only: uses network and messes with control file)
ifneq (,$(DEB_MAINTAINER_MODE))
$(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
$(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
$(shell sh debian/pkgarchs.sh python-trollius > debian/ARCHS_trollius)
$(shell sh debian/pkgarchs.sh openjdk-8-jdk > debian/ARCHS_openjdk8)
$(shell sh debian/pkgarchs.sh libv8-dev > debian/ARCHS_v8)
$(shell sh debian/pkgarchs.sh luajit > debian/ARCHS_luajit)
$(shell sh debian/pkgarchs.sh libmongoclient-dev > debian/ARCHS_mongodb)
$(shell sh debian/pkgarchs.sh libmono-2.0-dev > debian/ARCHS_mono)
$(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
$(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
endif
UWSGI_ARCHLISTS = glusterfs greenlet trollius openjdk8 v8 luajit mongodb \
	mono rados gccgo
$(foreach list,$(UWSGI_ARCHLISTS),\
	$(eval UWSGI_ARCHS_$(list) := $(shell cat debian/ARCHS_$(list))))
ifneq (,$(DEB_MAINTAINER_MODE))
debian/control::
	sed -i \
		$(foreach list,$(UWSGI_ARCHLISTS),\
			-e 's/@$(list)_archs@/$(UWSGI_ARCHS_$(list))/g') \
		-e 's/@ruby_kind@/$(UWSGI_KIND_ruby)/g' \
		debian/control
endif

# for snapshots of upstream development:
#  debian/rules get-orig-source DEB_UPSTREAM_VERSION=2.0.12+20160904 DEB_UPSTREAM_TARBALL_BASENAME=0064fa0
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
DEB_UPSTREAM_URL = https://github.com/unbit/uwsgi/archive

# Common variables
# ================

UWSGI_ENV = CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

UWSGI_BUILDER = uwsgiconfig.py -v

APACHE2_API := $(shell perl -ne 'print $$1 if m/our\s+\$$API\s+=\s+"(.*)"/' < $(shell which dh_apache2))
APACHE2_BUILDER := apxs2 -c $(shell apr-config --link-ld) $(shell apu-config --link-ld)

PHP_VERSION = $(shell php-config --version)
CDBS_DEPENDS_uwsgi-plugin-php = phpapi-$(shell php-config --phpapi)
DEB_DH_SHLIBDEPS_ARGS_uwsgi-plugin-php = -l$(shell php-config --include-dir) -- --ignore-missing-info
# TODO: Simplify when php5 5.5.0+dfsg-13 / php7 is in oldstable
CDBS_DEPENDS_uwsgi-plugin-php +=, $(strip $(or \
	$(if $(shell dpkg --compare-versions '$(PHP_VERSION)' '<<' 7 || echo true),\
		libphp-embed),\
	$(if $(shell dpkg --compare-versions '$(PHP_VERSION)' '>=' 5.5.0+dfsg-13~ || echo true),\
		libphp5-embed (>= $(PHP_VERSION)~),\
		libphp5-embed (= $(PHP_VERSION)))))

# Python install path for dh_install, as expected by dh_pythonX helpers
# * strip minor from python 3.x
# * leading slash omitted
python_installdir = usr/lib/$(cdbs_curpythondefaultflavor:python3%=python3)/dist-packages

# Transform plugin's package name to plugin's name:
# * delete dots
# * replace '-' with '_'
# * strip trailing openjdk delimiter
pkg_name_to_plugin_name = $(strip \
	$(subst openjdk_,openjdk,$(subst -,_,$(subst .,,$(1)))))

UWSGI_PLUGIN_INFILES := $(wildcard debian/*__PLUGIN__*.in)
UWSGI_PLUGINLANGS = python java lua ruby

UWSGI_KINDS_python = python python3
UWSGI_SRCPLUGINS_LANG_SELF += python
UWSGI_SRCPLUGINS_python = gevent greenlet tornado
UWSGI_SRCPLUGINS_python += $(if $(UWSGI_ARCHS_trollius),asyncio)
UWSGI_SRCPLUGINS_python3 = asyncio

UWSGI_KINDS_java = openjdk-8
UWSGI_DEFAULTKIND_java = openjdk-8
UWSGI_SRCPLUGINS_java = jvm jwsgi ring servlet

UWSGI_KINDS_lua = lua5.1 lua5.2 luajit
UWSGI_DEFAULTKIND_lua = lua5.1
UWSGI_SRCPLUGINS_LANG_SELF += lua

# Ruby kinds resolved as per packaging team policy (see bug#755779)
# TODO: simplify when ruby-all-dev is in stable
# TODO: maybe simplify to call "dh_ruby --print-supported" when stable
UWSGI_DEFAULTKIND_ruby := $(notdir $(shell readlink -f /usr/bin/ruby))
UWSGI_KINDS_ruby := $(strip \
	$(if $(wildcard /usr/lib/ruby/vendor_ruby/ruby_debian_dev.rb),\
		$(shell ruby -rruby_debian_dev \
			-e 'include RubyDebianDev;' \
			-e 'SUPPORTED_RUBY_VERSIONS.select! do |version, binary|;' \
				-e 'puts version;' \
			-e 'end'),\
		$(UWSGI_DEFAULTKIND_ruby)))
# dirty hack: use only default kind even where multiple should work
# TODO: support multiple Ruby kinds (requires dynamic control file sections)
UWSGI_KINDS_ruby := $(filter $(UWSGI_DEFAULTKIND_ruby),$(UWSGI_KINDS_ruby))
UWSGI_KIND_ruby := $(UWSGI_KINDS_ruby)$(strip $(if $(strip \
	$(filter 1,$(words $(UWSGI_KINDS_ruby)))),\
		,\
		$(error ERROR: multiple Ruby kinds not supported)))
UWSGI_SRCPLUGINS_ruby = rack

UWSGI_PLUGIN_PACKAGES = $(filter uwsgi-plugin-%,$(DEB_PACKAGES))

UWSGI_SRCPLUGINS_AVAILABLE := $(sort $(notdir $(wildcard plugins/*)))
UWSGI_SRCPLUGINS_ZEROMQ = emperor_zeromq logzmq mongrel2
UWSGI_SRCPLUGINS_ARCH_mongodb = emperor_mongodb gridfs mongodblog \
	stats_pusher_mongodb
UWSGI_SRCPLUGINS_ARCH_gccgo = gccgo
# TODO: enable PyPy when supported by CDBS
UWSGI_SRCPLUGINS_TODO = pypy
# plugins not yet ready for production use
UWSGI_SRCPLUGINS_EXPERIMENTAL = asyncio libffi libtcc router_spnego
# plugins irrelevant/unusable for Debian
UWSGI_SRCPLUGINS_ALIEN = airbrake alarm_speech mongodb stackless
UWSGI_SRCPLUGINS_DEMO = cplusplus dumbloop dummy example exception_log
UWSGI_SRCPLUGINS_UNKNOWN = legion_cache_fetch objc_gc pyuwsgi ruby19
UWSGI_SRCPLUGINS_EXCLUDE = $(UWSGI_SRCPLUGINS_ALIEN) \
	$(UWSGI_SRCPLUGINS_DEMO) $(UWSGI_SRCPLUGINS_EXPERIMENTAL) \
	$(UWSGI_SRCPLUGINS_TODO) $(UWSGI_SRCPLUGINS_UNKNOWN) coroae
UWSGI_SRCPLUGINS_WANTED = $(filter-out $(UWSGI_SRCPLUGINS_EXCLUDE),\
	$(UWSGI_SRCPLUGINS_AVAILABLE))
UWSGI_SRCPLUGINS_ADDON_LANG = $(call pkg_name_to_plugin_name,\
	$(UWSGI_SRCPLUGINS_LANG_SELF) \
	$(foreach lang,$(UWSGI_PLUGINLANGS),$(UWSGI_SRCPLUGINS_$(lang))))
UWSGI_SRCPLUGINS_ADDON_MISC = alarm_curl alarm_xmpp curl_cron \
	emperor_pg fiber gccgo geoip glusterfs graylog2 ldap mono psgi \
	rados rbthreads router_access sqlite3 v8 php xslt
# tun/tap is unavailable on the Hurd
# systemd is available only on linux
# tuntap plugin broken on kFreeBSD: https://github.com/unbit/uwsgi/issues/695
UWSGI_SRCPLUGINS_SKIP = \
	$(foreach list,$(UWSGI_ARCHLISTS),\
		$(if $(filter-out $(UWSGI_ARCHS_$(list)),$(DEB_HOST_ARCH)),\
			$(UWSGI_SRCPLUGINS_ARCH_$(list)))) \
	$(if $(filter hurd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
		tuntap) \
	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
		systemd_logger)
UWSGI_SRCPLUGINS_SKIPINSTALL = $(UWSGI_SRCPLUGINS_ARCH_mongodb)

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="dversionmangle=s/~dfsg.*//,repacksuffix=~dfsg" \
http://projects.unbit.it/downloads/uwsgi-(\d[\d\.]+)\.tar\.gz

## uwsgi 2.0.14+20170111

=== debian/changelog ===
uwsgi (2.0.14+20170111-4ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Don't build mongo plugins on arm* and powerpc since
      mongo-cxx-legacy-plugin is not available for those architectures
      in Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Feb 2017 01:16:06 -0500

uwsgi (2.0.14+20170111-4) unstable; urgency=medium

  * Fix have package uwsgi-plugin-php provide php.
    Closes: Bug#853891. Thanks to Georg Faerber.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Feb 2017 10:39:51 +0100

uwsgi (2.0.14+20170111-3) unstable; urgency=medium

  * Fix limit archs for MongoDB fallback build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 12:03:30 +0100

uwsgi (2.0.14+20170111-2) unstable; urgency=medium

  * Remove Janos Guljas. Thanks for your past work.
    Closes: Bug#849731.
  * Build-depend-indep (not build-depend) on shellcheck.
  * Explicitly avoid powerpc for mono: Underlying libgdiplus is missing.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Jan 2017 03:43:53 +0100

uwsgi (2.0.14+20170111-1) unstable; urgency=medium

  [ upstream ]
  * Development snapshot.
    + Fix compilation with OpenSSL 1.0.
    + Fix SystemError exception when async_args PyTuple is reused.
    + Fix several issues with zend_register_string_constant.
    + Backport new_argc/new_argv from 2.1 branch.
    + Backport CPython extension improvements from 2.1 branch.
    + Fix router_basicauth plugin building for GNU/kFreeBSD.
    + Use sys/xattr.h on linux.
    + Fix emperor_pg plugin to avoid informational-only Postgres flags.
    + Add spooler_decorator tests.
    + Fix invalid 'args' and 'kwargs' decoding in python3.
    + Fix return error code 22 in lazy_apps + master_mode.
    + Fix compilation with php 7.1.
    + Fix command line handling regression.

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browser field: Use git subdir (not cgit).
  * Update copyright info: Extend coverage of Debian packaging.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Drop patch upstream cherry-picked and now applied.
  * Drop patchs 1006 1007 1008 adopted upstream.
  * Unfuzz patch 1002.
  * Update supported archs for V8 plugin: Add ppc64el.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Jan 2017 21:08:26 +0100

=== debian/control ===
Source: uwsgi
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends-Indep: shellcheck
Build-Depends:
 cdbs (>= 0.4.147~),
 licensecheck,
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl,
 python,
 python3,
 debhelper,
 dh-buildinfo,
 dh-apache2 | apache2-dev,
 apache2-dev | apache2-threaded-dev,
 help2man,
 java-common,
 javahelper,
 libapr1-dev,
 libaprutil1-dev,
 libjansson-dev,
 libldap2-dev,
 liblua5.1-0-dev,
 liblua5.2-dev,
 libluajit-5.1-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-i386 mips mipsel powerpc],
 libpcre3-dev,
 libperl-dev,
 libpq-dev,
 libcurl4-openssl-dev,
 libgloox-dev,
 libpam0g-dev,
 libsqlite3-dev,
 libxml2-dev,
 libyaml-dev,
 libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
 libsystemd-dev [!kfreebsd-any !hurd-any] | libsystemd-journal-dev [!kfreebsd-any !hurd-any],
 php-dev | php5-dev,
 libphp-embed | libphp5-embed,
 gccgo [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 libonig-dev,
 libdb-dev,
 libqdbm-dev,
 libbz2-dev,
 libwrap0-dev,
 libgeoip-dev,
 libv8-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel ppc64el],
 libxslt1-dev,
 libcap-dev [linux-any],
 libmatheval-dev,
 libjail-dev [kfreebsd-any],
 libkvm-dev [kfreebsd-any],
 glusterfs-common [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 libmongoclient-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x] | mongodb-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
 libboost-thread-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 libboost-filesystem-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 librados-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 libssl-dev,
 libacl1-dev,
 pkg-config,
 python-all-dev,
 python-greenlet-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 python-trollius [any],
 python3-all-dev,
 openjdk-8-jdk [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 mono-devel [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel  ppc64el s390x],
 cli-common-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mipsel  ppc64el s390x],
 ruby-all-dev | ruby-dev,
 ruby,
 uuid-dev
Standards-Version: 3.9.8
Homepage: http://projects.unbit.it/uwsgi/
Vcs-Git: https://anonscm.debian.org/git/pkg-uwsgi/uwsgi.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-uwsgi/uwsgi.git

Package: uwsgi
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version})
Description: fast, self-healing application container server
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI daemon(s) with options defined in custom
    user-created configuration files
  * infrastructure for running daemons (like common locations of communication
    sockets, logs)

Package: uwsgi-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, uwsgi-core (= ${binary:Version})
Suggests: uwsgi-plugins-all
Description: debugging symbols for uWSGI server and it's plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the debug symbols for uWSGI core binary and plugins.
 Install this package if you need to debug such a program or if you need a
 useful backtrace of a crash.

Package: uwsgi-src
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: sources for uWSGI plugins
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 .
 This package contains the sources for uWSGI plugins.

Package: uwsgi-core
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: nginx-full | cherokee | libapache2-mod-proxy-uwsgi | libapache2-mod-uwsgi | libapache2-mod-ruwsgi,
 uwsgi-plugins-all, uwsgi-extra
Replaces: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Conflicts: wsgi-plugin-admin,
 uwsgi-plugin-cache,
 uwsgi-plugin-carbon,
 uwsgi-plugin-cgi,
 uwsgi-plugin-echo,
 uwsgi-plugin-emperor-zeromq,
 uwsgi-plugin-fastrouter,
 uwsgi-plugin-http,
 uwsgi-plugin-logsocket,
 uwsgi-plugin-nagios,
 uwsgi-plugin-ping,
 uwsgi-plugin-router-static,
 uwsgi-plugin-rpc,
 uwsgi-plugin-rrdtool,
 uwsgi-plugin-rsyslog,
 uwsgi-plugin-signal,
 uwsgi-plugin-symcall,
 uwsgi-plugin-syslog,
 uwsgi-plugin-ugreen
Description: fast, self-healing application container server (core)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package provides core uWSGI binary (built without any embedded
 plugins) and plugins with no or few dependencies:
 .
 ${uwsgi:corepluginlist}
 .
 forkptyrouter, systemd and tuntap are provided
 only on supported architectures.

Package: uwsgi-emperor
Architecture: any
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, uwsgi-core (= ${binary:Version}),
 ${cdbs:Depends}
Description: fast, self-healing application container server (emperor scripts)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It uses the uwsgi protocol for all the networking/interprocess communications.
 .
 uWSGI can be run in preforking, threaded, asynchronous/evented modes and
 supports various forms of green threads/coroutines (such as uGreen, Greenlet,
 Fiber). uWSGI provides several methods of configuration: via command line,
 via environment variables, via XML, INI, YAML configuration files, via LDAP
 and more.
 .
 On top of all this, it is designed to be fully modular. This means that
 different plugins can be used in order to add compatibility with tons of
 different technology on top of the same core.
 .
 This package depends on uWSGI core binary and installs:
  * init.d script for running uWSGI Emperor daemon with options defined in
    custom user-created configuration files
  * basic configuration for running uWSGI Emperor daemon

Package: uwsgi-plugins-all
Architecture: any
Depends: ${misc:Depends},
 uwsgi-infrastructure-plugins (= ${binary:Version}),
 uwsgi-app-integration-plugins (= ${binary:Version}),
 uwsgi-plugin-rbthreads (= ${binary:Version}),
 uwsgi-plugin-fiber (= ${binary:Version}),
 uwsgi-plugin-gevent-python (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-greenlet-python (= ${binary:Version}) [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-asyncio-python (= ${binary:Version}) [any],
 uwsgi-plugin-asyncio-python3 (= ${binary:Version}),
 uwsgi-plugin-tornado-python (= ${binary:Version})
Description: all available plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides all available plugins for uWSGI:
  * infrastructure
    - HTTP serving, RPC, etc.
  * application integration
    - PSGI, Rack, WSGI, etc.
  * coroutines
    - Fiber (${uwsgi:RubyDefaultkind})
    - gevent (Python 2)
    - greenlet (Python 2)
    - asyncio (Python 3, and Python 2 when Trollius is available)
    - Ruby native threads (${uwsgi:RubyDefaultkind})
    - tornado (Python 2)
 .
 Greenlet and gevent plugin is provided only on supported architectures.

Package: uwsgi-infrastructure-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-mongodb-plugins (= ${binary:Version}) [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
 uwsgi-plugin-alarm-curl (= ${binary:Version}),
 uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
 uwsgi-plugin-curl-cron (= ${binary:Version}),
 uwsgi-plugin-emperor-pg (= ${binary:Version}),
 uwsgi-plugin-graylog2 (= ${binary:Version}),
 uwsgi-plugin-geoip (= ${binary:Version}),
 uwsgi-plugin-ldap (= ${binary:Version}),
 uwsgi-plugin-glusterfs (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-rados (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
 uwsgi-plugin-router-access (= ${binary:Version}),
 uwsgi-plugin-sqlite3 (= ${binary:Version}),
 uwsgi-plugin-xslt (= ${binary:Version})
Description: infrastructure plugins for uWSGI
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This dependency package provides infrastructure plugins for uWSGI:
  * alarm cURL
  * alarm XMPP
  * cURL cron
  * PostgreSQL emperor
  * graylog2
  * GeoIP
  * LDAP
  * router access
  * SQLite 3
  * XSLT request
  * GlusterFS storage
  * Ceph/RADOS storage
  * MongoDB storage (GridFS), logger, Stats pusher and Emperor config
    backend
 .
 GlusterFS, Ceph/RADOS and MongoDB plugins are provided only on
 supported architectures.

Package: uwsgi-app-integration-plugins
Architecture: any
Depends: ${misc:Depends},
 uwsgi-plugin-jvm-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],

## uwsgi 2.0.15

=== debian/changelog ===
uwsgi (2.0.15-2.1ubuntu3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:25:36 +0000

uwsgi (2.0.15-2.1ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:13:35 +0000

uwsgi (2.0.15-2.1ubuntu1) artful; urgency=medium

  * Restore accidentally dropped Ubuntu delta:
    - Don't build mongo plugins on arm* since mongo-cxx-legacy-plugin
      is not available for those architectures in Ubuntu

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 25 Jul 2017 22:11:59 +1200

uwsgi (2.0.15-2.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Fix "ftbfs with multiple supported python3 versions":
    debian/rules: workaround cdbs issue #868752 by using only the default
    python flavors.
    Thanks to Niko Tyni and Scott Kitterman for their analyses.
    (Closes: #865224)

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Jul 2017 22:27:56 +0200

uwsgi (2.0.15-2) unstable; urgency=medium

  * Add patches cherry-picked upstream:
    + Fix drop-after options.
    + Fix PSGI application loading with recent Perl.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Jun 2017 12:00:19 +0200

uwsgi (2.0.15-1) unstable; urgency=medium

  [ upstream ]
  * New upstream release.
    + Fix writefifo race condition.
      https://github.com/unbit/uwsgi/issues/1434
    + Support passing authentication info in redislog plugin.
      https://github.com/unbit/uwsgi/issues/1498
    + Fix avoid closing $env->{'psgix.io'} on "PSGI cancel".
    + Fix segfault in python plugin decoding null string.
      https://github.com/unbit/uwsgi/issues/1476
    + Fix logger in python plugin.
      https://github.com/unbit/uwsgi/issues/1494
    + Fix integer overflow in logger module.
      https://github.com/unbit/uwsgi/issues/1489
    + Fix (hopefully) memory corruptions in python plugin.
      https://github.com/unbit/uwsgi/issues/1478
    + Fix sendfile-over-SSL API.
      https://github.com/unbit/uwsgi/issues/1490

  [ Jonas Smedegaard ]
  * Extend copyright coverage for packaging.
  * Update watch file: Adjust for recent upstream indirect download URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Apr 2017 11:33:44 +0200

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,7 @@
  libjail-dev [kfreebsd-any],
  libkvm-dev [kfreebsd-any],
  glusterfs-common [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
- libmongoclient-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x] | mongodb-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
+ libmongoclient-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x] | mongodb-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  libboost-thread-dev [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  libboost-filesystem-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  librados-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel powerpc ppc64el s390x],
@@ -254,7 +254,7 @@
 Package: uwsgi-infrastructure-plugins
 Architecture: any
 Depends: ${misc:Depends},
- uwsgi-mongodb-plugins (= ${binary:Version}) [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel ppc64el s390x],
+ uwsgi-mongodb-plugins (= ${binary:Version}) [amd64 armel hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  uwsgi-plugin-alarm-curl (= ${binary:Version}),
  uwsgi-plugin-alarm-xmpp (= ${binary:Version}),
  uwsgi-plugin-curl-cron (= ${binary:Version}),
@@ -296,4 +296,3 @@
 Package: uwsgi-app-integration-plugins
 Architecture: any
 Depends: ${misc:Depends},
- uwsgi-plugin-jvm-openjdk-8 (= ${binary:Version}) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010 Leonid Borisenko <leo.borisenko@gmail.com>
 # Copyright © 2012-2013 Janos Guljas <janos@debian.org>
-# Copyright © 2013-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2013-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for uWSGI
 #
 # This program is free software; you can redistribute it and/or modify
@@ -39,6 +39,7 @@
 
 # resolve supported architectures for arch-varying build-dependencies
 # (in maintainer mode only: uses network and messes with control file)
+# * explicitly avoid powerpc for mono: Underlying libgdiplus is missing
 ifneq (,$(DEB_MAINTAINER_MODE))
 $(shell sh debian/pkgarchs.sh glusterfs-common > debian/ARCHS_glusterfs)
 $(shell sh debian/pkgarchs.sh python-greenlet-dev > debian/ARCHS_greenlet)
@@ -47,7 +48,7 @@
 $(shell sh debian/pkgarchs.sh libv8-dev > debian/ARCHS_v8)
 $(shell sh debian/pkgarchs.sh luajit > debian/ARCHS_luajit)
 $(shell sh debian/pkgarchs.sh libmongoclient-dev > debian/ARCHS_mongodb)
-$(shell sh debian/pkgarchs.sh libmono-2.0-dev > debian/ARCHS_mono)
+$(shell sh debian/pkgarchs.sh libmono-2.0-dev | perl -pe 's/\bpowerpc\b//' > debian/ARCHS_mono)
 $(shell sh debian/pkgarchs.sh librados-dev > debian/ARCHS_rados)
 $(shell sh debian/pkgarchs.sh gccgo > debian/ARCHS_gccgo)
 endif
@@ -81,6 +82,7 @@
 
 PHP_VERSION = $(shell php-config --version)
 CDBS_DEPENDS_uwsgi-plugin-php = phpapi-$(shell php-config --phpapi)
+CDBS_PROVIDES_uwsgi-plugin-php = php
 DEB_DH_SHLIBDEPS_ARGS_uwsgi-plugin-php = -l$(shell php-config --include-dir) -- --ignore-missing-info
 # TODO: Simplify when php5 5.5.0+dfsg-13 / php7 is in oldstable
 CDBS_DEPENDS_uwsgi-plugin-php +=, $(strip $(or \
@@ -177,6 +179,3 @@
 		tuntap) \
 	$(if $(filter kfreebsd,$(DEB_HOST_ARCH_OS)),\
 		tuntap) \
-	$(if $(filter-out linux,$(DEB_HOST_ARCH_OS)),\
-		systemd_logger)
-UWSGI_SRCPLUGINS_SKIPINSTALL = $(UWSGI_SRCPLUGINS_ARCH_mongodb)
